Ask / Submit
4

Sailfish SDK crashes gnome

asked 2017-12-04 10:27:55 +0300

martijntje gravatar image

I have just tried installing the app SDK, but I can't get it to install. After asking for an alternative project path I quickly see a new screen before gnome crashes. It does this consistently. Is there a more stable version available that I can try?

edit retag flag offensive close delete

1 Answer

Sort by » oldest newest most voted
2

answered 2017-12-04 10:39:20 +0300

ossi1967 gravatar image

updated 2017-12-04 10:40:10 +0300

I had a similar issue (desktop freezing, forcing me to shut down) at the same point of the installation under Ubuntu. It was this part from the Sailfish Wiki's Known Issues page that helped me:

Some Ubuntu systems may report: “(SailfishOSSDK-linux-64-offline.run:24520): Gtk-CRITICAL **: IA__gtk_widget_style_get: assertion `GTK_IS_WIDGET (widget)' failed“. In this case please run “export LIBOVERLAY_SCROLLBAR=0” before running the installer. If this does not help, try running the installer with option "-style motif".

You say you're on Gnome and don't mention the distribution, still... that's Gtk-Land, isn't it?

edit flag offensive delete publish link more

Comments

That was pretty silly of me - not mentioning the GNOME version or distribution. exporting LIBOVERLAY_SCROLLBAR worked fine though. Thanks!

martijntje ( 2017-12-05 22:01:42 +0300 )edit
Login/Signup to Answer

Question tools

Follow
3 followers

Stats

Asked: 2017-12-04 10:27:55 +0300

Seen: 160 times

Last updated: Dec 04 '17